internal::KeyTrait< Kp, KHashp, Tp > Struct Template Reference

`#include <_flow_graph_types_impl.h>`

Collaboration diagram for internal::KeyTrait< Kp, KHashp, Tp >:

## Public Types

typedef Kp | K
typedef Tp | T
typedef internal::type_to_key_function_body< T, K > | TtoK
typedef KHashp | KHash

## Detailed Description

### template<typename Kp, typename KHashp, typename Tp>
struct internal::KeyTrait< Kp, KHashp, Tp >

Definition at line 40 of file _flow_graph_types_impl.h.

## Member Typedef Documentation

## K

template<typename Kp , typename KHashp , typename Tp >

typedef Kp internal::KeyTrait< Kp, KHashp, Tp >::K

Definition at line 41 of file _flow_graph_types_impl.h.

## KHash

template<typename Kp , typename KHashp , typename Tp >

typedef KHashp internal::KeyTrait< Kp, KHashp, Tp >::KHash

Definition at line 44 of file _flow_graph_types_impl.h.

## T

template<typename Kp , typename KHashp , typename Tp >

typedef Tp internal::KeyTrait< Kp, KHashp, Tp >::T

Definition at line 42 of file _flow_graph_types_impl.h.

## TtoK

template<typename Kp , typename KHashp , typename Tp >

typedef internal::type_to_key_function_body<T,K> internal::KeyTrait< Kp, KHashp, Tp >::TtoK

Definition at line 43 of file _flow_graph_types_impl.h.

The documentation for this struct was generated from the following file:

- _flow_graph_types_impl.h

Copyright © 2005-2020 Intel Corporation. All Rights Reserved.

Intel, Pentium, Intel Xeon, Itanium, Intel XScale and VTune are registered trademarks or trademarks of Intel Corporation or its subsidiaries in the United States and other countries.

* Other names and brands may be claimed as the property of others.